import QtQuick 2.12
import QtQuick.Window 2.12

Window {
    id: root

    width: 640
    height: 480
    visible: true
    title: qsTr("Hello World")
    color: "gray"

    Column {
        anchors.centerIn: parent
        spacing: 10

        Rectangle {

            width: root.width - 20
            height: root.height / 2 - 20
            color: "white"

            TextEdit {
                id: originalText

                anchors.fill: parent
                font.family: "Verdana"
                font.pixelSize: 24
                selectByMouse: true
                textFormat: Text.RichText
                wrapMode: Text.WordWrap
                text: "Some test text with <a style=\"text-decoration:none;\" href=\"1\">A LINK</a> and more text"

                onTextChanged: {

                    console.log("--------------")
                    console.log("ORIGINAL TEXT:")
                    console.log(text)
                }
            }
        }

        Rectangle {

            width: root.width - 20
            height: root.height / 2 - 20
            color: "white"

            TextEdit {
                id: reflectedText

                anchors.fill: parent
                font.family: "Verdana"
                font.pixelSize: 24
                selectByMouse: true
                textFormat: Text.RichText
                wrapMode: Text.WordWrap
                text: originalText.text
                readOnly: true

                onTextChanged: {

                    console.log("--------------")
                    console.log("REFLECTED TEXT:")
                    console.log(text)
                }
            }
        }
    }
}
